package com.yonge.cooleshow.biz.dal.service;

import com.yonge.cooleshow.biz.dal.entity.VideoLessonGroupLog;
import com.yonge.toolset.mybatis.service.BaseService;

public interface VideoLessonGroupLogService extends BaseService<Long, VideoLessonGroupLog> {

	Long queryMaxVersion(Long videoLessonGroupId);
	
	VideoLessonGroupLog queryByVideoLessonGroupId(Long videoLessonGroupId, Long version);
	
	/**
	 * 查询最新上架信息
	 * @param videoLessonGroupId
	 * @return
	 */
	VideoLessonGroupLog queryLastestShelvesInfo(Long videoLessonGroupId);
}